%define	major 0
%define libname	%mklibname supertone %{major}

Summary:	A library for supervisory tone detection and generation
Name:		libsupertone
Version:	0.0.2
Release:	%mkrel 3
License:	GPL
Group:		System/Libraries
URL:		http://www.soft-switch.org/libsupertone
Source0:	http://www.soft-switch.org/libsupertone/libsupertone-0.0.2.tar.bz2
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
Requires:	spandsp-devel
BuildRequires:	tiff-devel >= 3.6.1-3mdk
BuildRequires:	libxml2-devel
BuildRequires:	jpeg-devel
BuildRequires:	file
BuildRequires:  spandsp-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libsupertone is a library for the detection and generation of supervisory tones on
telephony interfaces.

%package -n	%{libname}
Summary:	Steve's SpanDSP library for telephony spans
Group:          System/Libraries

%description -n	%{libname}
libsupertone is a library for the detection and generation of supervisory tones on
telephony interfaces.

%package -n	%{libname}-devel
Summary:	Header files and libraries needed for development with libsupertone.
Group:		Development/C
Provides:	%{name}-devel %{_lib}%{name}-devel
Obsoletes:	%{name}-devel %{_lib}%{name}-devel
Requires:	%{libname} = %{version}

%description -n	%{libname}-devel
This package includes the header files and libraries needed for
developing programs using libsupertone.

%prep

%setup -q

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force && aclocal-1.7 && autoconf && automake-1.7 --add-missing --copy

%configure2_5x

make CFLAGS="%{optflags} -fPIC"

./supertone_tests

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Sun Dec 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.0.2-3mdk
- Fix BuildRequires

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-2mdk
- use correct libname (duh!)

* Sun Dec 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-1mdk
- initial Mandriva package
- used parts of the provided spec file
